Skip to main content
POST
/
v1
/
customers
/
segments
Create segment
curl --request POST \
  --url https://api.hyperline.co/v1/customers/segments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "rules": [
    {
      "conditions": [
        {
          "field": "country",
          "value": [
            "FR"
          ]
        }
      ]
    }
  ],
  "description": "<string>"
}
'
import requests

url = "https://api.hyperline.co/v1/customers/segments"

payload = {
    "name": "<string>",
    "rules": [{ "conditions": [
                {
                    "field": "country",
                    "value": ["FR"]
                }
            ] }],
    "description": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    rules: [{conditions: [{field: 'country', value: ['FR']}]}],
    description: '<string>'
  })
};

fetch('https://api.hyperline.co/v1/customers/segments', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "rules": [
    {
      "id": "<string>",
      "conditions": [
        {
          "field": "country",
          "value": [
            "FR"
          ]
        }
      ]
    }
  ],
  "created_at": "2023-12-25",
  "updated_at": "2023-12-25"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
rules
object[]
required
Minimum array length: 1
description
string

Response

201 - application/json
id
string
required
name
string
required
description
string | null
required
rules
object[]
required
created_at
string<date>
required
updated_at
string<date>
required